Quest questions
Fetches the list of questions associated with a specific quest.
Path Parameters
- Type: stringFormat: uuidquest
Id requiredA unique id for a quest.
Query Parameters
- Type: stringSkip
Pattern: ^-?(?:0|[1-9]\d*)$Format: int32Number of items to skip before retrieving results. Used with parameter 'Take' for pagination.
Minimum value: 0 - Type: stringTake
Pattern: ^-?(?:0|[1-9]\d*)$Format: int32Number of items to retrieve after skipping. Used with parameter 'Skip' for pagination.
Minimum value: 0
Maximum value: 1000
Responses
- application/json
- application/problem+json
- application/problem+json
- application/problem+json
- 414
URI Too Long
- application/problem+json
- 431
Request Header Fields Too Large
- application/problem+json
Request Example for get/v1/quests/{questId}/questions
curl 'https://api.questback.com/v1/quests/123e4567-e89b-12d3-a456-426614174000/questions?Skip=&Take='
[
{
"questionId": "019dba02-cb22-7efd-ae5b-fc9a3f4e7681",
"orderNumber": 1,
"type": "SINGLE_CHOICE",
"presentation": "HORIZONTAL",
"titles": [
{
"languageCode": "en-GB",
"title": "Your Favorite cheese?"
}
],
"alternatives": [
{
"alternativeId": "019dba02-cb23-796f-90b0-0c6b3a88dbce",
"type": "DEFAULT",
"orderNumber": 0,
"titles": [
{
"languageCode": "en-GB",
"title": "Brie"
}
]
},
{
"alternativeId": "019dba02-cb23-75a3-901d-5632b21d2578",
"type": "DEFAULT",
"orderNumber": 1,
"titles": [
{
"languageCode": "en-GB",
"title": "Cheddar"
}
]
}
]
}
]